Subject: Re: Tracking remote branches

From: Nicolas Sebrecht <[email-masked]>
Date: Mon, 14 Sep 2009 07:01:45 +0200

The 13/09/09, Thiago Farina wrote:
> Hi,
> 
> I know that I could do simply, instead of above:
> $ git checkout --track -b maint origin/maint

Or
$ git checkout -t origin/maint

> OK, now I switched to maint branch. And then I did:
> $ git status
> 
> # On branch maint
> # Changes to be committed
> #    (use "git reset HEAD <file>..." to unstage)
> #
> #          new file:    git-remote-curl
> #          new file:    git-replace
> #
> 
> What happened here? What I have to do now?

You've probably added these files to the index, mistakenly. If you don't
have uncommited changes, try :

  git checkout -f master
  git branch -D maint
  git checkout -t origin/maint
  git status

The files should now be shown as "Untracked files".

-- 
Nicolas Sebrecht